complexType "ElectricityPhysicalDeliveryQuantity"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | quantityUnit?, quantityFrequency?, quantity?, settlementPeriodsReference*
</...>

Content Model Elements (4):

  quantity (defined in CommodityNotionalQuantity complexType),
  quantityFrequency (defined in CommodityNotionalQuantity complexType),
  quantityUnit (defined in CommodityNotionalQuantity complexType),
  settlementPeriodsReference (in physicalQuantity in deliveryQuantity in electricityPhysicalLeg)

All Direct / Indirect Based Elements (1):

  physicalQuantity (in deliveryQuantity in electricityPhysicalLeg)

Known Usage Locations

- As direct type of elements (1):
  physicalQuantity (in deliveryQuantity in electricityPhysicalLeg)

Annotation
A type defining the physical quantity of the electricity to be delivered.
Type Definition Detail

Type Derivation Tree CommodityNotionalQuantity (extension) ElectricityPhysicalDeliveryQuantity

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ElectricityPhysicalDeliveryQuantity"> <xsd:complexContent> <xsd:extension base="CommodityNotionalQuantity"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/4)
settlementPeriodsReference

  Type: | SettlementPeriodsReference, empty content

  A pointer style reference to the range(s) of Settlement Periods to which this quantity applies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.